Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.java.net
Class AuthenticationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.net.SocketException
                              |
                              +--org.apache.java.net.AuthenticationException

public class AuthenticationException
extends java.net.SocketException

This exception is thrown when socket authentication fails.

Version:
  $Revision: 1.4 $ $Date: 1999/04/26 00:33:56 $
See Also:
  Serialized Form

Fields inherited from class java.lang.Throwable
`backtrace, detailMessage, serialVersionUID`

Constructor Summary
`AuthenticationException()` Constructs a new `AuthenticationException` with no detail message.
`AuthenticationException(java.lang.String msg)` Constructs a new `AuthenticationException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, printStackTrace0, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Constructor Detail

### AuthenticationException

    public AuthenticationException(java.lang.String msg)

  Constructs a new `AuthenticationException` with the specified detail message.
  Parameters:
    `msg` - the detail message.

### AuthenticationException

    public AuthenticationException()

  Constructs a new `AuthenticationException` with no detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD